[SCM] live-manual branch, debian-next, updated. debian/3.0_a13-1-19-g2266100

chals chals at altorricon.com
Tue Jul 10 12:46:23 UTC 2012


The following commit has been merged in the debian-next branch:
commit 226610054b8d957be28a0f08417393be827d6cb5
Author: chals <chals at altorricon.com>
Date:   Tue Jul 10 14:45:41 2012 +0200

    Workaround for redundant test after set -e.

diff --git a/manual/bin/po-integrity-check.sh b/manual/bin/po-integrity-check.sh
index 27e1288..d36bc35 100755
--- a/manual/bin/po-integrity-check.sh
+++ b/manual/bin/po-integrity-check.sh
@@ -27,15 +27,11 @@ Integrity_check()
 	do
 		echo "-$(basename ${POFILE})"
 		echo ""	
-		msgfmt --verbose --check --output-file=/dev/null ${POFILE}
+		msgfmt --verbose --check --output-file=/dev/null ${POFILE} || { echo "-> This .po file might be 'BAD'. Please revise it."; echo ""; exit 1; }
 		if [ "$?" -eq "0" ]
 		then
 			echo "-> This .po file is 'GOOD'."
 			echo ""
-		elif [ "$?" -ne "0" ]
-		then 
-			echo "-> This .po file might be 'BAD'. Please revise it."
-			echo ""
 		fi
 	done
 }
@@ -58,15 +54,11 @@ case "$LANGUAGE" in
 			do
 				echo "-Checking $(basename ${POFILE}) integrity in ${LANGUAGE}"
 				echo ""	
-				msgfmt --verbose --check --output-file=/dev/null ${POFILE}
+				msgfmt --verbose --check --output-file=/dev/null ${POFILE} || { echo "-> This .po file might be 'BAD'. Please revise it."; echo ""; exit 1; }
 				if [ "$?" -eq "0" ]
 				then
 					echo "->This .po file is 'GOOD'."
 					echo ""
-				elif [ "$?" -ne "0" ]
-				then 
-					echo "->This .po file might be 'BAD'. Please revise it."
-					echo ""
 				fi
 			done
 		done

-- 
live-manual



More information about the debian-live-changes mailing list